Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://api.datagrid.com/v1/files/{file_id}/content" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.datagrid.com/v1/files/{file_id}/content', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request GET \ --url https://api.datagrid.com/v1/files/{file_id}/content \ --header 'Authorization: Bearer <token>'
"<string>"
{ "status_code": 123, "error": "rate_limit_exceeded", "message": "<string>", "retryable": true, "statusCode": 123, "mitigation": "<string>", "details": { "reason": "<string>" } }
Returns the content of a file.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
File content
The response is of type file.
file